Subject: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28 signals an error

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 18 Apr 2022 10:41:58 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Here's a must simpler recipe.  Put this into a buffer:
>
> Local variables:
> mode: text
> end:
>
> Then say `M-x emacs-lisp-mode'.  After doing so, the major mode will be
> `text-mode'.
>
> This is a regression in 28.1 from 27.2.  I'll have a look at it
> tomorrow if nobody beats me to it.

I've now fixed this regression, but I see there's (at least) one other:
In Emacs 27, if the mode: had a mode that's not defined, it just says
that it's ignored instead of trying to call it, which seems sensible, so
I'll fix that regression, too.

But I can't get this to work in Emacs 27.2 -- Jim, are you sure that
this worked at some point?

mode: emacs-news; mode: outline-mode

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no